pcl::GrabCut< PointT >::NLinks Struct Reference

`#include <pcl/segmentation/grabcut_segmentation.h>`

## Public Member Functions

| NLinks ()

## Public Attributes

int | nb_links
std::vector< int > | indices
std::vector< float > | dists
std::vector< float > | weights

## Detailed Description

### template<typename PointT>
struct pcl::GrabCut< PointT >::NLinks

Definition at line 397 of file grabcut_segmentation.h.

## Constructor & Destructor Documentation

## NLinks()

template<typename PointT >

pcl::GrabCut< PointT >::NLinks::NLinks | ( |  | ) |

inline

Definition at line 399 of file grabcut_segmentation.h.

## Member Data Documentation

## dists

template<typename PointT >

std::vector<float> pcl::GrabCut< PointT >::NLinks::dists

Definition at line 403 of file grabcut_segmentation.h.

Referenced by pcl::GrabCut< PointT >::computeBetaNonOrganized(), pcl::GrabCut< PointT >::computeBetaOrganized(), pcl::GrabCut< PointT >::computeNLinksNonOrganized(), and pcl::GrabCut< PointT >::computeNLinksOrganized().

## indices

template<typename PointT >

std::vector<int> pcl::GrabCut< PointT >::NLinks::indices

Definition at line 402 of file grabcut_segmentation.h.

Referenced by pcl::GrabCut< PointT >::computeBetaNonOrganized(), pcl::GrabCut< PointT >::computeBetaOrganized(), pcl::GrabCut< PointT >::computeNLinksNonOrganized(), and pcl::GrabCut< PointT >::initGraph().

## nb_links

template<typename PointT >

int pcl::GrabCut< PointT >::NLinks::nb_links

Definition at line 401 of file grabcut_segmentation.h.

Referenced by pcl::GrabCut< PointT >::computeBetaNonOrganized(), pcl::GrabCut< PointT >::computeBetaOrganized(), pcl::GrabCut< PointT >::computeNLinksNonOrganized(), and pcl::GrabCut< PointT >::initGraph().

## weights

template<typename PointT >

std::vector<float> pcl::GrabCut< PointT >::NLinks::weights

Definition at line 404 of file grabcut_segmentation.h.

Referenced by pcl::GrabCut< PointT >::computeBetaNonOrganized(), pcl::GrabCut< PointT >::computeBetaOrganized(), pcl::GrabCut< PointT >::computeNLinksNonOrganized(), pcl::GrabCut< PointT >::computeNLinksOrganized(), and pcl::GrabCut< PointT >::initGraph().

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/grabcut_segmentation.h